Quantcast
Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
    1. Welcome to GTAForums!

    1. Red Dead Redemption 2

      1. Gameplay
      2. Missions
      3. Help & Support
    2. Red Dead Online

      1. Gameplay
      2. Find Lobbies & Outlaws
      3. Help & Support
    1. Crews & Posses

      1. Recruitment
    2. Events

    1. GTA Online

      1. Arena War
      2. After Hours
      3. Find Lobbies & Players
      4. Guides & Strategies
      5. Vehicles
      6. Content Creator
      7. Help & Support
    2. Grand Theft Auto Series

    3. GTA Next

    4. GTA V

      1. PC
      2. Guides & Strategies
      3. Help & Support
    5. GTA IV

      1. Episodes from Liberty City
      2. Multiplayer
      3. Guides & Strategies
      4. Help & Support
      5. GTA Mods
    6. GTA Chinatown Wars

    7. GTA Vice City Stories

    8. GTA Liberty City Stories

    9. GTA San Andreas

      1. Guides & Strategies
      2. Help & Support
      3. GTA Mods
    10. GTA Vice City

      1. Guides & Strategies
      2. Help & Support
      3. GTA Mods
    11. GTA III

      1. Guides & Strategies
      2. Help & Support
      3. GTA Mods
    12. Top Down Games

      1. GTA Advance
      2. GTA 2
      3. GTA
    13. Wiki

      1. Merchandising
    1. GTA Modding

      1. GTA V
      2. GTA IV
      3. GTA III, VC & SA
      4. Tutorials
    2. Mod Showroom

      1. Scripts & Plugins
      2. Maps
      3. Total Conversions
      4. Vehicles
      5. Textures
      6. Characters
      7. Tools
      8. Other
      9. Workshop
    3. Featured Mods

      1. DYOM
      2. OpenIV
      3. GTA: Underground
      4. GTA: Liberty City
      5. GTA: State of Liberty
    1. Red Dead Redemption

    2. Rockstar Games

    1. Off-Topic

      1. General Chat
      2. Gaming
      3. Technology
      4. Programming
      5. Movies & TV
      6. Music
      7. Sports
      8. Vehicles
    2. Expression

      1. Graphics / Visual Arts
      2. GFX Requests & Tutorials
      3. Writers' Discussion
      4. Debates & Discussion
    1. News

    2. Forum Support

    3. Site Suggestions

PatrickW

[RELEASE] GTAForums FireFox Extension

Recommended Posts

oldage

With what program do i have to open the install.rdf to install?

Share this post


Link to post
Share on other sites
Damien.

 

With what program do i have to open the install.rdf to install?

None if you download the already edited version in the post above you.

 

 

But if you want to edit it yourself for some reason, just open it with notepad or any other text editor like Toadyd pointed out two posts above yours.

Share this post


Link to post
Share on other sites
oldage
With what program do i have to open the install.rdf to install?

None if you download the already edited version in the post above you.

 

 

But if you want to edit it yourself for some reason, just open it with notepad or any other text editor like Toadyd pointed out two posts above yours.

i downloaded from the link you gave me , but nothing happened confused.gif

 

my download just sits there.... mad.gif

Share this post


Link to post
Share on other sites
Damien.
With what program do i have to open the install.rdf to install?

None if you download the already edited version in the post above you.

 

 

But if you want to edit it yourself for some reason, just open it with notepad or any other text editor like Toadyd pointed out two posts above yours.

i downloaded from the link you gave me , but nothing happened confused.gif

 

my download just sits there.... mad.gif

Oh, you mean the .xpi, not the .rdf.....

 

 

Just open it with firefox

Share this post


Link to post
Share on other sites
oldage
With what program do i have to open the install.rdf to install?

None if you download the already edited version in the post above you.

 

 

But if you want to edit it yourself for some reason, just open it with notepad or any other text editor like Toadyd pointed out two posts above yours.

i downloaded from the link you gave me , but nothing happened confused.gif

 

my download just sits there.... mad.gif

Oh, you mean the .xpi, not the .rdf.....

 

 

Just open it with firefox

Cheers icon14.gif!

cookie.gif

Share this post


Link to post
Share on other sites
Girish
here's the download: http://www.speedyshare.com/299481657.html

 

 

Cred and sh*t to PatrickW, i only changed a couple of numbers.

So, I download the file from there^, but I can't see anything in my context menu. No GTAF code anywhere. Any idea what could be wrong? The xpi file has installed without any problems or compatibility issues.

Share this post


Link to post
Share on other sites
Girish

 

here's the download: http://www.speedyshare.com/299481657.html

 

 

Cred and sh*t to PatrickW, i only changed a couple of numbers.

So, I download the file from there^, but I can't see anything in my context menu. No GTAF code anywhere. Any idea what could be wrong? The xpi file has installed without any problems or compatibility issues.

 

Ignore this post. Stupid me. I tried searching for it on a GTAF page instead of in the editing page. blush.gif

 

Edit: sh*t, extremely sorry for the double post.

Share this post


Link to post
Share on other sites
Waddy
You should be able to edit the file in notepad, or notepad++ etc...

 

I Got it to work

here's the download: http://www.speedyshare.com/299481657.html

 

 

Cred and sh*t to PatrickW, i only changed a couple of numbers.

Cheers mate.

You just made up for giving me a MSN virus the other day.

Share this post


Link to post
Share on other sites
Fnorg

 

I've Got It Working

 

Thanks

Share this post


Link to post
Share on other sites
Tornado Rex
You can update it yourself smile.gif

Taken from: https://developer.mozilla.org/En/Updating_e...s_for_Firefox_3

 

Update the install manifest

The first step -- and, for most extensions, the only one that will be needed -- is to update the install manifest file, install.rdf, to indicate compatibility with Firefox 3.

 

Simply find the line indicating the maximum compatible version of Firefox (which, for Firefox 2, might look like this):

 

<em:maxVersion>2.0.*</em:maxVersion>

Change it to indicate compatibility with Firefox 3:

 

<em:maxVersion>3.0.*</em:maxVersion>

Then reinstall your extension.

 

Note that Firefox 3 does away with the extra ".0" in the version number, so instead of using "3.0.0.*, you only need to use "3.0.*".

 

 

Basically, download the extension, rename the file extension .xpi to .zip and extract, open install.rdf and change the maxVersion line to say 3, save the file and then compress the chrome folder and the other files into a zip folder, change the folder extension to .xpi and re-install.

Or you can go to about:config, type in extensions.checkCompatibility and change that to false. It will just enable all add-ons regardless of if they're compatible or not.

Share this post


Link to post
Share on other sites
Ronnyboy
Works like a dream in FF3

Share this post


Link to post
Share on other sites
Haro
Or you can go to about:config, type in extensions.checkCompatibility and change that to false. It will just enable all add-ons regardless of if they're compatible or not.

Yeah, but that defeats the purpose of compatibility checking. This add-on may work but others may not work going from FF2 to FF3. Of course, you could just check the version compatibility when downloading an add-on from the website.

Share this post


Link to post
Share on other sites
okei
workzor

Share this post


Link to post
Share on other sites
Wonderbro

Ok, Sorry for bumping!! blush.gif

 

I really need it, but I cant install it. When I try to install it, then it throws a error: invalid file hash or something like that. confused.gif

Share this post


Link to post
Share on other sites
GTA3Rockstar
Ok, Sorry for bumping!! blush.gif

 

I really need it, but I cant install it. When I try to install it, then it throws a error: invalid file hash or something like that. confused.gif

I don't think it works with FF3. I might be misstaken but that's what I heard.

Share this post


Link to post
Share on other sites
Stig

It doesn't work in the newest FireFox, damn looked mighty fun to use too. confused.gif

Share this post


Link to post
Share on other sites
hmvartak

I have installed it for 3.0.5 and it works fine. Don't know about 3.0.6 and 3.0.7. It is not compatible with FF3. But still it is possible to install.

 

* Type about:config into Firefox's address bar and click the "I'll be careful, I promise!" button.

* Right-click anywhere. Choose New>Boolean. Make the name of your new config value extensions. checkCompatibility and set it to false.

* Make another new boolean pair called extensions.checkUpdateSecurity and set the value to false.

* Restart Firefox.

* Install extension.

Edited by hmvartak

Share this post


Link to post
Share on other sites
SWEETSAPRIK

The about:config entries were posted earlier by Tornado Rex, quoted a few posts up the page. The complaint was that disables compatibility checking in general.

 

Another option is an extension like Nightly Tester Tools, Mozilla addons link. With that you can override compatibility checking for all, or individual extensions.

 

Yet another option mentioned earlier in this topic by Toadyd is to open something like winrar. Navigate to the xpi, look inside it for the "install.rdf" file, then drag it to your desktop and edit it with notepad. Alter the line "<em:maxVersion>2.2</em:maxVersion>" to whatever version you need to install it in, or higher. 3.1 for example. Then drag that edited file back into the xpi in winrar. Then just open the file with Firefox (click File > Open file.., then find the edited xpi) and install.

 

Or, you could save yourself some time and install the one I just did all that to, with the maxversion altered to 3.1. Also, I just tested this edited xpi in both 3.0.6, and 3.0.7, to make sure I didn't mess it up. smile.gif

 

removed

 

/me runs off

 

(edit)

Patrick updated the extension on his site here.

 

Edited by Sweets

Share this post


Link to post
Share on other sites
Wonderbro

Thanks, I got it working too!

Share this post


Link to post
Share on other sites
coin-god

This is awesome, ive never seen it.

 

I really like it. icon14.gif

Share this post


Link to post
Share on other sites
Stig

 

  • Hello
  • Hello
  • Hello
  • Hello
Yay Yay
Yay Yay

biggrin.gif

Share this post


Link to post
Share on other sites
james227uk

I wish I knew the about:config way, I turned the extension into a ZIP and manually changed it.... with config I could have saved myself lots of time

Share this post


Link to post
Share on other sites
Toadyd
I wish I knew the about:config way, I turned the extension into a ZIP and manually changed it.... with config I could have saved myself lots of time

That will disable version checking against all extensions though, so in future you might find you have a problem but then you've forgotten about your config change and end up wasting a lot of time trying to solve your problems.

Share this post


Link to post
Share on other sites
Banana

I want to edit this so I can add more BBCode that I use on other forums. What program should I use to do that?

Share this post


Link to post
Share on other sites
PatrickW

The only tool I used to create it, was Notepad and winzip.

 

BTW. I updated my website with a V3.1 compatible version.

Share this post


Link to post
Share on other sites
SWEETSAPRIK

Awesome.

 

I'll pull down the page I linked to and edit out the link.

 

P.S. Thanks again for making this, it's still one of my "must have" extensions.

Share this post


Link to post
Share on other sites
Banana
The only tool I used to create it, was Notepad and winzip.

 

BTW. I updated my website with a V3.1 compatible version.

Thanks. I had a little trouble at first but I got it working now. icon14.gif

Share this post


Link to post
Share on other sites
CharmingCharlie
This is an absolutely fantastic tool, I can't believe I didn't stumble across it sooner. Cheers PatrickW believe me this is greatly appreciated.

Share this post


Link to post
Share on other sites
GTArv

Thanks for the update PatrickW, and for making this in the first place. This is a very useful extension.

Share this post


Link to post
Share on other sites
jelly

 

mooo

 

 

jelly spams

 

that's pretty cool. icon14.gif

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • 1 User Currently Viewing
    0 Members, 0 Anonymous, 1 Guest

×

Important Information

By using GTAForums.com, you agree to our Terms of Use and Privacy Policy.